petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoBRGNSetRegularizerWeight

Set the regularizer weight for the Gauss-Newton least-squares algorithm

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetRegularizerWeight(Tao tao,PetscReal lambda)

Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| lambda | - L1-norm regularizer weight

### Level

beginner

### Location

src/tao/leastsquares/impls/brgn/brgn.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages